# $Id: smeserver-phpwebftp-4.0.spec,v 1.6 2016/08/03 08:12:48 unnilennium Exp $
# Authority: gnujpl
# Name: Jean-Paul Leclre

%define name smeserver-phpwebftp
%define version 4.0
%define release 10

Summary: Web FTP access via HTTPS for SME.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/WebFTP
Source: %{name}-%{version}.tar.gz
Patch0:smeserver-phpwebftp-4.0-patchftpmode.patch
Patch1: smeserver-phpwebftp-4.0-patch1.patch
Patch2: smeserver-phpwebftp-4.0.bz7175.pointusername.patch
Patch3: smeserver-phpwebftp-4.0.bz9528.XSSvulnerability.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-apache
BuildRequires: e-smith-devtools
Obsoletes: eos-webftp
AutoReqProv: no

%description
smeserver-phpwebftp adds an ftp panel available to users via SSL web access.

%changelog
* Wed Aug 03 2016 Jean-Philipe Pialasse <tests@pialasse.com> 4.0-10.sme
- fix  XSS security issue in phpwebftp [SME: 9528]
- https://sourceforge.net/p/phpwebftp/bugs/17/
- add utf8 in meta to fix bad display in French

* Wed Aug 03 2016 Jean-Philipe Pialasse <tests@pialasse.com> 4.0-9.sme
- fix does not support files owned by user or group with point [SME: 7175]
- SF:https://sourceforge.net/p/phpwebftp/bugs/15/

* Sun Nov 24 2013 JP Pialasse <tests@pialasse.com> 4.0-8.sme 
- new patch for [SME: 7973]
- tmp folder set to 0770 to fix the download error

* Mon Nov 4 2013 JP Pialasse <tests@pialasse.com> 4.0-6.sme
- wrong binary ascii switch [SME: 7973]

* Sun Mar 3 2013 JP Pialasse <tests@pialasse.com> 4.0-5
- import into sme 8 tree

* Sun Jun 8 2008 Jean-Paul Leclere <jean-paul@lleclere.org>
- [4.0-4]
- remove pyo and pyc files in files list

* Sat Jun 7 2008 Jean-Paul Leclere <jean-paul@lleclere.org>
- [4.0-3]
- correct /home/httpd/html/webftp/tmp owner in spec file 

* Sat May 4 2008 Jean-Paul Leclere <jean-paul@lleclere.org>
- [4.0-2]
- Bump Copyright to License in spec

* Thu May 1 2008 Jean-Paul Leclere <jean-paul@lleclere.org>
- [4.0-1]
- Bump to smeserver-phpwebftp for SME 7.3
- upgrade phpwebftp to 4.0

* Sat May 21 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-4]
- Correctif sur position Virtualhost pour utilisation directive Global

* Sun Apr 17 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-3]
- Correctif sur directive SSLRequireSSL

* Sun Jan 23 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-2]
- Correct tmp directory rights
- add ForceFTPVirtualLocalhost for FTP even if TLS

* Sun Jan 9 2005 Jean-Paul Leclere <jean-paul@lleclere.org>
- [2.7-1]
- Initial release


%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%pre

%post

%build
./createlinks 

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/home/httpd/html/webftp/tmp' 'attr(0770,www,www)' \
    > %{name}-%{version}-filelist

/usr/lib/rpm/brp-python-bytecompile
%preun

%postun

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,www)
